import BrandData from "@comp/AppsComponent/BrandData/page";
import ProductData from "@comp/AppsComponent/ProductData/page";
import { notFound, redirect } from "next/navigation";

async function getData(id) {
  const res = await fetch(`${process.env.NEXT_PUBLIC_API_URL}/brand/${id}`, {
    cache: "no-cache",
  });
  const post = await res.json();
  console.log("hi", post);
  // console.log("object11", post);

  // // Check if the response status is 404
  if (post.statusCode === 404) {
    // Navigate to the custom 404 page
    return notFound(); // Exit the function
  }
  return post;
}

// export async function generateMetadata({ params }) {
//   const data = await getData(params.id[0]);

//   const decodedName = decodeURIComponent(params.id[1]);
//   const imageUrl = new URL(
//     data?.product?.files && data?.product?.files[0]?.fileLocation,
//     process.env.STORAGE_URL
//   );

//   const metadataUrl = new URL(
//     `products/${params.id[0]}/${data?.product?.persianName}`,
//     process.env.NEXT_PUBLIC_APP_URL
//   );
//   return {
//     title: data?.product?.persianName,
//     description: `خرید ${data?.product?.persianName}| برندهای متنوع با پایین ترین قیمت | فروشگاه اینترنتی وسمه`,
//     metadataBase: metadataUrl,
//     product_id_meta: data?.product?.id,
//     alternates: {
//       canonical: metadataUrl,
//     },

//     keywords: [
//       "آرایشی",
//       "بهداشت خانگی",
//       "محصولات زیبایی",
//       "لوازم تمیزی",
//       "مراقبت شخصی",
//     ],

//     openGraph: {
//       title: data?.product?.persianName,
//       description: `  خرید ${data?.product?.persianName}| برندهای متنوع با پایین ترین قیمت | فروشگاه اینترنتی وسمه`,
//       images: [imageUrl],
//       url: metadataUrl,
//       type: "website",
//       locale: "fa-IR",
//       type: "website",
//     },
//     twitter: {
//       site: "@vesmehstore",
//       description: `  خرید ${data?.product?.persianName}| برندهای متنوع با پایین ترین قیمت | فروشگاه اینترنتی وسمه`,
//       title: data?.product?.persianName,
//       creator: "@vesmehstore",
//     },
//     other: {
//       product_id: data?.product?.id,
//       product_name: data?.product?.persianName,
//       product_price: data?.product?.costWithDiscount / 10,
//       product_old_price: data?.product?.cost / 10,
//       availability: data?.product?.stock > 0 ? "instock" : "outofstock",
//       guarantee: "guarantee_sample",
//     },
//   };
// }

const Page = async ({ params }) => {
  const data = await getData(params.id[0]);

  return (
    <>
      <BrandData params={params} data={data} />
    </>
  );
};

export default Page;
