import RootData from "@comp/AppsComponent/RootData/page";
import { GoogleAnalytics } from "@next/third-parties/google";
import { Suspense } from "react";

export const metadata = {
  icons: {
    icon: [
      {
        url: "/favicon-16x16.png",
        media: "(prefers-color-scheme: light)",
      },
      {
        url: "/favicon-16x16.png",
        media: "(prefers-color-scheme: dark)",
      },
    ],
  },
  title: {
    template:
      "%s |  خرید لوازم آرایشی و بهداشتی قیمت مناسب و اصل | فروشگاه اینترنتی وسمه",
    default:
      "فروشگاه اینترنتی وسمه - خرید لوازم آرایشی و بهداشتی قیمت مناسب و اصل",
  },
  description:
    "مقایسه و خرید آنلاین انواع لوازم آرایشی، بهداشتی، خانه ، بهداشت جنسی | برندهای متنوع با پایین ترین قیمت | فروشگاه اینترنتی وسمه vesmeh.com",
  metadataBase: new URL("https://www.vesmeh.com"),
  authors: [
    {
      name: "وسمه",
      url: "https://www.vesmeh.com",
    },
  ],
  keywords: [
    "آرایشی",
    "بهداشت خانگی",
    "محصولات زیبایی",
    "لوازم تمیزی",
    "مراقبت شخصی",
  ],
  openGraph: {
    title:
      "خرید لوازم آرایشی و بهداشتی قیمت مناسب و اصل | فروشگاه اینترنتی وسمه",
    description:
      "مقایسه و خرید آنلاین انواع لوازم آرایشی، بهداشتی، خانه ، بهداشت جنسی | برندهای متنوع با پایین ترین قیمت | فروشگاه اینترنتی وسمه vesmeh.com",
    url: "https://www.vesmeh.com",
    type: "website",
  },
  twitter: {
    site: "@vesmehstore",
    description:
      "مقایسه و خرید آنلاین انواع لوازم آرایشی، بهداشتی، خانه ، بهداشت جنسی | برندهای متنوع با پایین ترین قیمت | فروشگاه اینترنتی وسمه vesmeh.com",
    title:
      "خرید لوازم آرایشی و بهداشتی قیمت مناسب و اصل | فروشگاه اینترنتی وسمه",
    creator: "@vesmehstore",
  },
  // enamad: {
  //   name: "enamad",
  //   content: "735422",
  // },
  // other: { enamad: "735422" },
};

const structuredData = {
  "@context": "https://schema.org",
  "@type": "Organization",
  url: process.env.NEXT_PUBLIC_APP_URL,
  logo: "https://storage.vesmeh.com/Logo/Med/Main.png",
  name: "فروشگاه اینترنتی وسمه",
  legalName: "وسمه",
  telephone: "+982188196154",
  sameAs: [
    "https://t.me/vesmehhcom",
    "https://twitter.com/vesmehcom",
    "https://www.instagram.com/vesmehcom",
  ],
};

export default function RootLayout({ children }) {
  return (
    <html lang="en">
      <head>
        <script
          key="structured-data"
          type="application/ld+json"
          dangerouslySetInnerHTML={{
            __html: JSON.stringify(structuredData),
          }}
        />
      </head>
      <body>
        <RootData>
          <GoogleAnalytics gaId="G-Z5MGH649RY" />
          <Suspense>{children}</Suspense>
        </RootData>
      </body>
    </html>
  );
}
